package com.yccrc.kede.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yccrc.kede.domain.Project;
import com.yccrc.kede.vo.IndexRptVO;
import com.yccrc.kede.vo.ProjectAddVO;
import com.yccrc.kede.vo.ProjectDetailVO;
import com.yccrc.kede.vo.ProjectListVO;
import com.yccrc.kede.vo.ProjectQueryVO;

/**
 * 项目信息Service接口
 * 
 * @author yccrc
 * @date 2022-04-25
 */
public interface IProjectService extends IService<Project> 
{
	public Page<ProjectListVO> selectProject(ProjectQueryVO entity);
	
	public Page<Project> selectReportProject(ProjectQueryVO entity);
	
	public Project getProject(Project oriProject,Integer projectOwner);
	
	public ProjectDetailVO getProject(Integer projectId);
	
	public Boolean saveProject(ProjectAddVO project);
	
	public boolean syncProject(Integer id,Integer projectOwner);
	
	public boolean report(Integer id);
	
	public IndexRptVO rptProject();
	
	public boolean cancel(Integer[] ids);
	
	public boolean remove(Integer[] ids);
}
